//****************************************************
//*_____________________Slick________________________*
//****************************************************

textures/mes_shader/SlickNoDamage
{
	qer_editorimage textures/mes_shader/SlickNoDamage.jpg
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}


//****************************************************
//*_____________________No_Damage_______________________*
//****************************************************


textures/mes_shader/NoDamage
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/NoDamage.tga
} 
{
map $lightmap
blendfunc filter
}

}

//****************************************************
//*______________________Lava________________________*
//****************************************************


textures/mes_shader/liquidlava
{
qer_editorimage textures/mes_shader/liquidlava.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidlava.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidlava.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//****************************************************
//*_____________________Water________________________*
//****************************************************


textures/mes_shader/liquidsnake
{
qer_editorimage textures/mes_shader/liquidsnake.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.05 .010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}



//***********************
//______________WaterCaulk
//***********************

textures/mes_shader/watercaulk
{
qer_editorimage textures/mes_shader/watercaulk.tga
qer_trans 10
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
}



//***********************************		********************************//
//_____________________ Lava Basique ____________________//
//***********************************		********************************//

textures/mes_shader/lave_basique
{
		qer_editorimage textures/mes_shader/lava.tga
		qer_trans .5

		surfaceparm lava
		surfaceparm nolightmap

		cull disable
		deformVertexes wave 128 sin 0 1 0 .75
		{
			map textures/mes_shader/lava.tga
			tcMod turb 0.1 0.1 0 0.25
		}
}

//

textures/mes_shader/molten
	{
		qer_editorimage textures/mes_shader/lava01.tga
		q3map_lightimage textures/mes_shader/lava02.tga
		q3map_globaltexture
		qer_trans .5
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm trans		
		q3map_surfacelight 1500
		tessSize 8
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5
		{
			map textures/mes_shader/lava01.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/lava02.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		
}



//_____________________Skip___________

textures/mes_shader/skip
{
qer_editorimage textures/mes_shader/laser.tga
qer_trans 0.75
surfaceparm nonsolid
surfaceparm structural
}

//_____________Nodraw Solid__________

textures/mes_shader/nodraw_solid
{
qer_editorimage textures/mes_shader/NoDrawSolid.jpg
qer_trans 0.55
surfaceparm nodraw
surfaceparm nomarks
surfaceparm trans
}

//*********************************	********************//
//____________________ Vitre ____________//
//*********************************	********************//

textures/mes_shader/vitre
{
	qer_editorimage textures/mes_shader/vitre.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.1
	{
		map textures/mes_shader/vitre.tga
		blendfunc add
		tcGen environment 
	}
}


//*********************************		      ********************//
//____________________ DecalKFC Dessert ____________//
//*********************************		      ********************//

textures/mes_newshader/KFCDessertdecal
{
   qer_editorimage textures/mes_newshader/KFC-Desserts.tga
   surfaceparm trans
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/mes_newshader/KFC-Desserts.tga
       blendfunc gl_dst_color gl_src_color 
   }
}


//*********************************		 ********************//
//____________________ DecalKFC Logo ____________//
//*********************************		 ********************//

textures/mes_newshader/KFCLogodecal
{
   qer_editorimage textures/mes_newshader/kfc_logo.tga
   surfaceparm trans
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/mes_newshader/kfc_logo.tga
       blendfunc gl_dst_color gl_src_color 
   }
}
 
//*********************************	                     ********************//
//____________________ Liquid SlimeV ____________//
//*********************************	                  ********************//

textures/mes_newshader/liquidslimeV
{
	qer_editorimage	textures/mes_newshader/liquidslimeV
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1 0.3 2
    {
        map textures/mes_newshader/liquidslimeV.tga
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 1.0 0.38 0.0 )
        alphaFunc GE128
	alphaGen const 0.5
	tcmod scroll 0 -0.25
    }
    {
	map textures/mes_newshader/liquidslimeV.tga
	tcGen environment
	rgbGen const ( 1.0 0.38 0.0 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/mes_newshader/liquidslimeV.tga
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}


//*********************************	                     ********************//
//____________________ Liquid SlimeB ____________//
//*********************************	                  ********************//

textures/mes_newshader/liquidslimeB
{
	qer_editorimage	textures/mes_newshader/liquidslimeB
	sort banner
	qer_trans	0.6
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1 0.3 2
    {
        map textures/mes_newshader/liquidslimeB
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 1.0 0.38 0.0 )
        alphaFunc GE128
	alphaGen const 0.5
	tcmod scroll 0 -0.25
    }
    {
	map textures/richard_water/cubemap.jpg
	tcGen environment
	rgbGen const ( 1.0 0.38 0.0 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/richard_water/cubemap.jpg
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}


//*********************************	               ********************//
//____________________ Metal Grate ____________//
//*********************************	               ********************//

textures/mes_newshader/MetalGrate
{
	qer_editorimage	textures/mes_newshader/metalgrate.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm trans
	cull disable
	qer_trans 0.75
	{
		map textures/mes_newshader/metalgrate.tga
		blendfunc blend
	}
}

//********************               ************//
//____________________ Herbe Cushion ____________//
//********************               ************//

textures/mes_newshader/HerbeCushion
{
qer_editorimage	textures/mes_newshader/texture-herbe2.jpg
surfaceparm nodamage

{
map textures/mes_newshader/texture-herbe2.jpg
} 
{
map $lightmap
blendfunc filter
}

}


//********************               ************//
//____________________ Static Cushion ____________//
//********************               ************//

textures/mes_newshader/Static1Cushion
{
qer_editorimage	textures/mikec/static1.tga
surfaceparm nodamage

{
map textures/mikec/static1.tga
} 
{
map $lightmap
blendfunc filter
}

}

//********************                ************//
//____________________ Bomb Red Decal ____________//
//********************                ************//

textures/mes_newshader/Bomb-Red
{
   qer_editorimage textures/mes_newshader/Bomb-Red.jpg
   surfaceparm trans
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/mes_newshader/Bomb-Red.jpg
      blendfunc gl_dst_color gl_src_color
   }
}
