
textures/richard_water/slime
{
	qer_editorimage textures/richard_water/slime7.tga
	q3map_lightimage textures/richard_water/slime7.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 1000
	q3map_tessSize 1024
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/richard_water/slime7c.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/richard_water/slime7.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/richard_water/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/richard_water/watercaulk
{
	qer_editorimage textures/richard_water/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/richard_water/slimecaulk
{
	qer_editorimage textures/richard_water/slimecaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm slime
}
textures/richard_water/lavacaulk
{
	qer_editorimage textures/richard_water/lavacaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}
textures/richard_water/lemonade
{
 	qer_editorimage textures/richard_water/lemonwater.jpg
        qer_trans 0.5
        q3map_globaltexture
 	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
 	surfaceparm noimpact
 	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodlight
    surfaceparm water

        cull disable
 	nopicmip
       {
           map textures/richard_water/lemonwater.jpg
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 0.5 0.5
 	    tcMod turb 0.1 0.1 0.1 0.1
       }
       {
           map textures/richard_water/lemonwater.jpg
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scroll 0.05 -0.01
       }
       {
           map textures/richard_water/lemonwater.jpg
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 2 2
 	   tcMod turb 0 0.1 1 0.1
       }
 
}
textures/richard_water/richwaterfall
{
	qer_editorimage textures/richard_water/waterfall.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/richard_water/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 2.5
	}
}

textures/richard_water/richwaterfall2
{
	qer_editorimage textures/richard_water/waterfall.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/richard_water/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -2.5 
	}
}
//orange juice 
textures/richard_water/orangejuice
{
	qer_editorimage	textures/richard_water/juice
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1 0.3 2
    {
        map textures/richard_water/juice.jpg
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 1.0 0.38 0.0 )
        alphaFunc GE128
	alphaGen const 0.5
	tcmod scroll 0 -0.25
    }
    {
	map textures/richard_water/cubemap.jpg
	tcGen environment
	rgbGen const ( 1.0 0.38 0.0 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/richard_water/cubemap.jpg
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}
